diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/customize.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/customize.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/customize.php	2013-07-18 12:42:53.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/customize.php	2013-10-21 16:17:09.000000000 -0500
***************
*** 9,15 ****
  
  define( 'IFRAME_REQUEST', true );
  
! require_once( './admin.php' );
  if ( ! current_user_can( 'edit_theme_options' ) )
  	wp_die( __( 'Cheatin&#8217; uh?' ) );
  
--- 9,15 ----
  
  define( 'IFRAME_REQUEST', true );
  
! require_once( dirname( __FILE__ ) . '/admin.php' );
  if ( ! current_user_can( 'edit_theme_options' ) )
  	wp_die( __( 'Cheatin&#8217; uh?' ) );
  
***************
*** 31,36 ****
--- 31,41 ----
  add_action( 'customize_controls_print_footer_scripts', '_wp_footer_scripts'     );
  add_action( 'customize_controls_print_styles',         'print_admin_styles', 20 );
  
+ /**
+  * Fires when Customizer controls are initialized, before scripts are enqueued.
+  *
+  * @since 3.4.0
+  */
  do_action( 'customize_controls_init' );
  
  wp_enqueue_script( 'customize-controls' );
***************
*** 38,43 ****
--- 43,53 ----
  
  wp_enqueue_script( 'accordion' );
  
+ /**
+  * Enqueue Customizer control scripts.
+  *
+  * @since 3.4.0
+  */
  do_action( 'customize_controls_enqueue_scripts' );
  
  // Let's roll.
***************
*** 66,72 ****
--- 76,93 ----
  $admin_title = sprintf( __( '%1$s &#8212; WordPress' ), strip_tags( sprintf( __( 'Customize %s' ), $wp_customize->theme()->display('Name') ) ) );
  ?><title><?php echo $admin_title; ?></title><?php
  
+ /**
+  * Print Customizer control styles.
+  *
+  * @since 3.4.0
+  */
  do_action( 'customize_controls_print_styles' );
+ 
+ /**
+  * Print Customizer control scripts.
+  *
+  * @since 3.4.0
+  */
  do_action( 'customize_controls_print_scripts' );
  ?>
  </head>
***************
*** 129,134 ****
--- 150,160 ----
  	<div id="customize-preview" class="wp-full-overlay-main"></div>
  	<?php
  
+ 	/**
+ 	 * Print Customizer control scripts in the footer.
+ 	 *
+ 	 * @since 3.4.0
+ 	 */
  	do_action( 'customize_controls_print_footer_scripts' );
  
  	// If the frontend and the admin are served from the same domain, load the
***************
*** 146,151 ****
--- 172,184 ----
  	if ( is_ssl() && ! $cross_domain )
  		$allowed_urls[] = home_url( '/', 'https' );
  
+ 	/**
+ 	 * Filter the list of URLs allowed to be clicked and followed in the Customizer preview.
+ 	 *
+ 	 * @since 3.4.0
+ 	 *
+ 	 * @param array $allowed_urls An array of allowed URLs.
+ 	 */
  	$allowed_urls = array_unique( apply_filters( 'customize_allowed_urls', $allowed_urls ) );
  
  	$fallback_url = add_query_arg( array(
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/edit-comments.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/edit-comments.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/edit-comments.php	2013-05-08 19:22:02.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/edit-comments.php	2013-09-24 19:18:11.000000000 -0500
***************
*** 7,13 ****
   */
  
  /** WordPress Administration Bootstrap */
! require_once('./admin.php');
  if ( !current_user_can('edit_posts') )
  	wp_die(__('Cheatin&#8217; uh?'));
  
--- 7,13 ----
   */
  
  /** WordPress Administration Bootstrap */
! require_once( dirname( __FILE__ ) . '/admin.php' );
  if ( !current_user_can('edit_posts') )
  	wp_die(__('Cheatin&#8217; uh?'));
  
***************
*** 136,142 ****
  	'<p>' . __( '<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>' ) . '</p>'
  );
  
! require_once('./admin-header.php');
  ?>
  
  <div class="wrap">
--- 136,142 ----
  	'<p>' . __( '<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>' ) . '</p>'
  );
  
! require_once( ABSPATH . 'wp-admin/admin-header.php' );
  ?>
  
  <div class="wrap">
***************
*** 153,159 ****
  	echo __('Comments');
  
  if ( isset($_REQUEST['s']) && $_REQUEST['s'] )
! 	printf( '<span class="subtitle">' . sprintf( __( 'Search results for &#8220;%s&#8221;' ), wp_html_excerpt( esc_html( wp_unslash( $_REQUEST['s'] ) ), 50, '&hellip;' ) ) . '</span>' ); ?>
  </h2>
  
  <?php
--- 153,159 ----
  	echo __('Comments');
  
  if ( isset($_REQUEST['s']) && $_REQUEST['s'] )
! 	echo '<span class="subtitle">' . sprintf( __( 'Search results for &#8220;%s&#8221;' ), wp_html_excerpt( esc_html( wp_unslash( $_REQUEST['s'] ) ), 50, '&hellip;' ) ) . '</span>'; ?>
  </h2>
  
  <?php
***************
*** 252,255 ****
  <?php
  wp_comment_reply('-1', true, 'detail');
  wp_comment_trashnotice();
! include('./admin-footer.php'); ?>
--- 252,255 ----
  <?php
  wp_comment_reply('-1', true, 'detail');
  wp_comment_trashnotice();
! include( ABSPATH . 'wp-admin/admin-footer.php' ); ?>
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/edit-form-advanced.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/edit-form-advanced.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/edit-form-advanced.php	2013-08-01 12:08:24.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/edit-form-advanced.php	2013-10-22 12:22:11.000000000 -0500
***************
*** 32,37 ****
--- 32,40 ----
  // Add the local autosave notice HTML
  add_action( 'admin_footer', '_local_storage_notice' );
  
+ /*
+  * @todo Document the $messages array(s).
+  */
  $messages = array();
  $messages['post'] = array(
  	 0 => '', // Unused. Messages start at index 1.
***************
*** 64,69 ****
--- 67,79 ----
  );
  $messages['attachment'] = array_fill( 1, 10, __( 'Media attachment updated.' ) ); // Hack, for now.
  
+ /**
+  * Filter the post updated messages.
+  *
+  * @since 3.0.0
+  *
+  * @param array $messages Post updated messages. For defaults @see $messages declarations above.
+  */
  $messages = apply_filters( 'post_updated_messages', $messages );
  
  $message = false;
***************
*** 107,123 ****
  $post_type_object = get_post_type_object($post_type);
  
  // All meta boxes should be defined and added before the first do_meta_boxes() call (or potentially during the do_meta_boxes action).
! require_once('./includes/meta-boxes.php');
  
  
  $publish_callback_args = null;
  if ( post_type_supports($post_type, 'revisions') && 'auto-draft' != $post->post_status ) {
  	$revisions = wp_get_post_revisions( $post_ID );
  
- 	// Check if the revisions have been upgraded
- 	if ( ! empty( $revisions ) && _wp_get_post_revision_version( end( $revisions ) ) < 1 )
- 		_wp_upgrade_revisions_of_post( $post, $revisions );
- 
  	// We should aim to show the revisions metabox only when there are revisions.
  	if ( count( $revisions ) > 1 ) {
  		reset( $revisions ); // Reset pointer for key()
--- 117,129 ----
  $post_type_object = get_post_type_object($post_type);
  
  // All meta boxes should be defined and added before the first do_meta_boxes() call (or potentially during the do_meta_boxes action).
! require_once( ABSPATH . 'wp-admin/includes/meta-boxes.php' );
  
  
  $publish_callback_args = null;
  if ( post_type_supports($post_type, 'revisions') && 'auto-draft' != $post->post_status ) {
  	$revisions = wp_get_post_revisions( $post_ID );
  
  	// We should aim to show the revisions metabox only when there are revisions.
  	if ( count( $revisions ) > 1 ) {
  		reset( $revisions ); // Reset pointer for key()
***************
*** 140,155 ****
  
  // all taxonomies
  foreach ( get_object_taxonomies( $post ) as $tax_name ) {
! 	$taxonomy = get_taxonomy($tax_name);
  	if ( ! $taxonomy->show_ui )
  		continue;
  
  	$label = $taxonomy->labels->name;
  
! 	if ( !is_taxonomy_hierarchical($tax_name) )
! 		add_meta_box('tagsdiv-' . $tax_name, $label, 'post_tags_meta_box', null, 'side', 'core', array( 'taxonomy' => $tax_name ));
  	else
! 		add_meta_box($tax_name . 'div', $label, 'post_categories_meta_box', null, 'side', 'core', array( 'taxonomy' => $tax_name ));
  }
  
  if ( post_type_supports($post_type, 'page-attributes') )
--- 146,163 ----
  
  // all taxonomies
  foreach ( get_object_taxonomies( $post ) as $tax_name ) {
! 	$taxonomy = get_taxonomy( $tax_name );
  	if ( ! $taxonomy->show_ui )
  		continue;
  
  	$label = $taxonomy->labels->name;
  
! 	if ( ! is_taxonomy_hierarchical( $tax_name ) )
! 		$tax_meta_box_id = 'tagsdiv-' . $tax_name;
  	else
! 		$tax_meta_box_id = $tax_name . 'div';
! 
! 	add_meta_box( $tax_meta_box_id, $label, $taxonomy->meta_box_cb, null, 'side', 'core', array( 'taxonomy' => $tax_name ) );
  }
  
  if ( post_type_supports($post_type, 'page-attributes') )
***************
*** 174,180 ****
  if ( post_type_supports($post_type, 'custom-fields') )
  	add_meta_box('postcustom', __('Custom Fields'), 'post_custom_meta_box', null, 'normal', 'core');
  
! do_action('dbx_post_advanced', $post);
  if ( post_type_supports($post_type, 'comments') )
  	add_meta_box('commentstatusdiv', __('Discussion'), 'post_comment_status_meta_box', null, 'normal', 'core');
  
--- 182,197 ----
  if ( post_type_supports($post_type, 'custom-fields') )
  	add_meta_box('postcustom', __('Custom Fields'), 'post_custom_meta_box', null, 'normal', 'core');
  
! /**
!  * Fires in the middle of built-in meta box registration.
!  *
!  * @since 2.1.0
!  * @deprecated 3.7.0 Use 'add_meta_boxes' instead.
!  *
!  * @param WP_Post $post Post object.
!  */
! do_action( 'dbx_post_advanced', $post );
! 
  if ( post_type_supports($post_type, 'comments') )
  	add_meta_box('commentstatusdiv', __('Discussion'), 'post_comment_status_meta_box', null, 'normal', 'core');
  
***************
*** 189,200 ****
  		add_meta_box('authordiv', __('Author'), 'post_author_meta_box', null, 'normal', 'core');
  }
  
! do_action('add_meta_boxes', $post_type, $post);
! do_action('add_meta_boxes_' . $post_type, $post);
! 
! do_action('do_meta_boxes', $post_type, 'normal', $post);
! do_action('do_meta_boxes', $post_type, 'advanced', $post);
! do_action('do_meta_boxes', $post_type, 'side', $post);
  
  add_screen_option('layout_columns', array('max' => 2, 'default' => 2) );
  
--- 206,248 ----
  		add_meta_box('authordiv', __('Author'), 'post_author_meta_box', null, 'normal', 'core');
  }
  
! /**
!  * Fires after all built-in meta boxes have been added.
!  *
!  * @since 3.0.0
!  *
!  * @param string  $post_type Post type.
!  * @param WP_Post $post      Post object.
!  */
! do_action( 'add_meta_boxes', $post_type, $post );
! 
! /**
!  * Fires after all built-in meta boxes have been added, contextually for the given post type.
!  *
!  * The dynamic portion of the hook, $post_type, refers to the post type of the post.
!  *
!  * @since 3.0.0
!  *
!  * @param WP_Post $post Post object.
!  */
! do_action( 'add_meta_boxes_' . $post_type, $post );
! 
! /**
!  * Fires after meta boxes have been added.
!  *
!  * Fires once for each of the default meta box contexts: normal, advanced, and side.
!  *
!  * @since 3.0.0
!  *
!  * @param string  $post_type Post type of the post.
!  * @param string  $context   string  Meta box context.
!  * @param WP_Post $post      Post object.
!  */
! do_action( 'do_meta_boxes', $post_type, 'normal', $post );
! /** This action is documented in wp-admin/edit-form-advanced.php */
! do_action( 'do_meta_boxes', $post_type, 'advanced', $post );
! /** This action is documented in wp-admin/edit-form-advanced.php */
! do_action( 'do_meta_boxes', $post_type, 'side', $post );
  
  add_screen_option('layout_columns', array('max' => 2, 'default' => 2) );
  
***************
*** 307,313 ****
  	) );
  }
  
! require_once('./admin-header.php');
  ?>
  
  <div class="wrap">
--- 355,361 ----
  	) );
  }
  
! require_once( ABSPATH . 'wp-admin/admin-header.php' );
  ?>
  
  <div class="wrap">
***************
*** 315,321 ****
  <h2><?php
  echo esc_html( $title );
  if ( isset( $post_new_file ) && current_user_can( $post_type_object->cap->create_posts ) )
! 	echo ' <a href="' . esc_url( $post_new_file ) . '" class="add-new-h2">' . esc_html( $post_type_object->labels->add_new ) . '</a>';
  ?></h2>
  <?php if ( $notice ) : ?>
  <div id="notice" class="error"><p id="has-newer-autosave"><?php echo $notice ?></p></div>
--- 363,369 ----
  <h2><?php
  echo esc_html( $title );
  if ( isset( $post_new_file ) && current_user_can( $post_type_object->cap->create_posts ) )
! 	echo ' <a href="' . esc_url( admin_url( $post_new_file ) ) . '" class="add-new-h2">' . esc_html( $post_type_object->labels->add_new ) . '</a>';
  ?></h2>
  <?php if ( $notice ) : ?>
  <div id="notice" class="error"><p id="has-newer-autosave"><?php echo $notice ?></p></div>
***************
*** 328,335 ****
  	<span class="hide-if-no-sessionstorage"><?php _e( 'We&#8217;re backing up this post in your browser, just in case.' ); ?></span>
  	</p>
  </div>
! 
! <form name="post" action="post.php" method="post" id="post"<?php do_action('post_edit_form_tag', $post); ?>>
  <?php wp_nonce_field($nonce_action); ?>
  <input type="hidden" id="user-id" name="user_ID" value="<?php echo (int) $user_ID ?>" />
  <input type="hidden" id="hiddenaction" name="action" value="<?php echo esc_attr( $form_action ) ?>" />
--- 376,391 ----
  	<span class="hide-if-no-sessionstorage"><?php _e( 'We&#8217;re backing up this post in your browser, just in case.' ); ?></span>
  	</p>
  </div>
! <?php
! /**
!  * Fires inside the post editor <form> tag.
!  *
!  * @since 3.0.0
!  *
!  * @param WP_Post $post Post object.
!  */
! ?>
! <form name="post" action="post.php" method="post" id="post"<?php do_action( 'post_edit_form_tag', $post ); ?>>
  <?php wp_nonce_field($nonce_action); ?>
  <input type="hidden" id="user-id" name="user_ID" value="<?php echo (int) $user_ID ?>" />
  <input type="hidden" id="hiddenaction" name="action" value="<?php echo esc_attr( $form_action ) ?>" />
***************
*** 352,357 ****
--- 408,425 ----
  wp_nonce_field( 'closedpostboxes', 'closedpostboxesnonce', false );
  ?>
  
+ <?php
+ /**
+  * Fires at the beginning of the edit form.
+  *
+  * At this point, the required hidden fields and nonces have already been output.
+  *
+  * @since 3.7.0
+  *
+  * @param WP_Post $post Post object.
+  */
+ do_action( 'edit_form_top', $post ); ?>
+ 
  <div id="poststuff">
  <div id="post-body" class="metabox-holder columns-<?php echo 1 == get_current_screen()->get_columns() ? '1' : '2'; ?>">
  <div id="post-body-content">
***************
*** 359,364 ****
--- 427,442 ----
  <?php if ( post_type_supports($post_type, 'title') ) { ?>
  <div id="titlediv">
  <div id="titlewrap">
+ 	<?php
+ 	/**
+ 	 * Filter the title field placeholder text.
+ 	 *
+ 	 * @since 3.1.0
+ 	 *
+ 	 * @param string  $text Placeholder text. Default 'Enter title here'.
+ 	 * @param WP_Post $post Post object.
+ 	 */
+ 	?>
  	<label class="screen-reader-text" id="title-prompt-text" for="title"><?php echo apply_filters( 'enter_title_here', __( 'Enter title here' ), $post ); ?></label>
  	<input type="text" name="post_title" size="30" value="<?php echo esc_attr( htmlspecialchars( $post->post_title ) ); ?>" id="title" autocomplete="off" />
  </div>
***************
*** 366,372 ****
  <?php
  $sample_permalink_html = $post_type_object->public ? get_sample_permalink_html($post->ID) : '';
  $shortlink = wp_get_shortlink($post->ID, 'post');
! if ( !empty($shortlink) )
      $sample_permalink_html .= '<input id="shortlink" type="hidden" value="' . esc_attr($shortlink) . '" /><a href="#" class="button button-small" onclick="prompt(&#39;URL:&#39;, jQuery(\'#shortlink\').val()); return false;">' . __('Get Shortlink') . '</a>';
  
  if ( $post_type_object->public && ! ( 'pending' == get_post_status( $post ) && !current_user_can( $post_type_object->cap->publish_posts ) ) ) {
--- 444,451 ----
  <?php
  $sample_permalink_html = $post_type_object->public ? get_sample_permalink_html($post->ID) : '';
  $shortlink = wp_get_shortlink($post->ID, 'post');
! $permalink = get_permalink( $post->ID );
! if ( !empty( $shortlink ) && $shortlink !== $permalink && $permalink !== home_url('?page_id=' . $post->ID) )
      $sample_permalink_html .= '<input id="shortlink" type="hidden" value="' . esc_attr($shortlink) . '" /><a href="#" class="button button-small" onclick="prompt(&#39;URL:&#39;, jQuery(\'#shortlink\').val()); return false;">' . __('Get Shortlink') . '</a>';
  
  if ( $post_type_object->public && ! ( 'pending' == get_post_status( $post ) && !current_user_can( $post_type_object->cap->publish_posts ) ) ) {
***************
*** 388,394 ****
  </div><!-- /titlediv -->
  <?php
  }
! 
  do_action( 'edit_form_after_title', $post );
  
  if ( post_type_supports($post_type, 'editor') ) {
--- 467,479 ----
  </div><!-- /titlediv -->
  <?php
  }
! /**
!  * Fires after the title field.
!  *
!  * @since 3.5.0
!  *
!  * @param WP_Post $post Post object.
!  */
  do_action( 'edit_form_after_title', $post );
  
  if ( post_type_supports($post_type, 'editor') ) {
***************
*** 407,414 ****
  <?php
  	if ( 'auto-draft' != $post->post_status ) {
  		echo '<span id="last-edit">';
! 		if ( $last_id = get_post_meta($post_ID, '_edit_last', true) ) {
! 			$last_user = get_userdata($last_id);
  			printf(__('Last edited by %1$s on %2$s at %3$s'), esc_html( $last_user->display_name ), mysql2date(get_option('date_format'), $post->post_modified), mysql2date(get_option('time_format'), $post->post_modified));
  		} else {
  			printf(__('Last edited on %1$s at %2$s'), mysql2date(get_option('date_format'), $post->post_modified), mysql2date(get_option('time_format'), $post->post_modified));
--- 492,498 ----
  <?php
  	if ( 'auto-draft' != $post->post_status ) {
  		echo '<span id="last-edit">';
! 		if ( $last_user = get_userdata( get_post_meta( $post_ID, '_edit_last', true ) ) ) {
  			printf(__('Last edited by %1$s on %2$s at %3$s'), esc_html( $last_user->display_name ), mysql2date(get_option('date_format'), $post->post_modified), mysql2date(get_option('time_format'), $post->post_modified));
  		} else {
  			printf(__('Last edited on %1$s at %2$s'), mysql2date(get_option('date_format'), $post->post_modified), mysql2date(get_option('time_format'), $post->post_modified));
***************
*** 420,426 ****
  
  </div>
  <?php }
! 
  do_action( 'edit_form_after_editor', $post );
  ?>
  </div><!-- /post-body-content -->
--- 504,516 ----
  
  </div>
  <?php }
! /**
!  * Fires after the content editor.
!  *
!  * @since 3.5.0
!  *
!  * @param WP_Post $post Post object.
!  */
  do_action( 'edit_form_after_editor', $post );
  ?>
  </div><!-- /post-body-content -->
***************
*** 428,437 ****
  <div id="postbox-container-1" class="postbox-container">
  <?php
  
! if ( 'page' == $post_type )
! 	do_action('submitpage_box', $post);
! else
! 	do_action('submitpost_box', $post);
  
  do_meta_boxes($post_type, 'side', $post);
  
--- 518,548 ----
  <div id="postbox-container-1" class="postbox-container">
  <?php
  
! if ( 'page' == $post_type ) {
! 	/**
! 	 * Fires before meta boxes with 'side' context are output for the 'page' post type.
! 	 *
! 	 * The submitpage box is a meta box with 'side' context, so this hook fires just before it is output.
! 	 *
! 	 * @since 2.5.0
! 	 *
! 	 * @param WP_Post $post Post object.
! 	 */
! 	do_action( 'submitpage_box', $post );
! }
! else {
! 	/**
! 	 * Fires before meta boxes with 'side' context are output for all post types other than 'page'.
! 	 *
! 	 * The submitpost box is a meta box with 'side' context, so this hook fires just before it is output.
! 	 *
! 	 * @since 2.5.0
! 	 *
! 	 * @param WP_Post $post Post object.
! 	 */
! 	do_action( 'submitpost_box', $post );
! }
! 
  
  do_meta_boxes($post_type, 'side', $post);
  
***************
*** 442,459 ****
  
  do_meta_boxes(null, 'normal', $post);
  
! if ( 'page' == $post_type )
! 	do_action('edit_page_form', $post);
! else
! 	do_action('edit_form_advanced', $post);
  
  do_meta_boxes(null, 'advanced', $post);
  
  ?>
  </div>
  <?php
! 
! do_action('dbx_post_sidebar', $post);
  
  ?>
  </div><!-- /post-body -->
--- 553,593 ----
  
  do_meta_boxes(null, 'normal', $post);
  
! if ( 'page' == $post_type ) {
! 	/**
! 	 * Fires after 'normal' context meta boxes have been output for the 'page' post type.
! 	 *
! 	 * @since 1.5.2
! 	 *
! 	 * @param WP_Post $post Post object.
! 	 */
! 	do_action( 'edit_page_form', $post );
! }
! else {
! 	/**
! 	 * Fires after 'normal' context meta boxes have been output for all post types other than 'page'.
! 	 *
! 	 * @since 1.5.2
! 	 *
! 	 * @param WP_Post $post Post object.
! 	 */
! 	do_action( 'edit_form_advanced', $post );
! }
! 
  
  do_meta_boxes(null, 'advanced', $post);
  
  ?>
  </div>
  <?php
! /**
!  * Fires after all meta box sections have been output, before the closing #post-body div.
!  *
!  * @since 2.1.0
!  *
!  * @param WP_Post $post Post object.
!  */
! do_action( 'dbx_post_sidebar', $post );
  
  ?>
  </div><!-- /post-body -->
***************
*** 467,473 ****
  	wp_comment_reply();
  ?>
  
! <?php if ( (isset($post->post_title) && '' == $post->post_title) || (isset($_GET['message']) && 2 > $_GET['message']) ) : ?>
  <script type="text/javascript">
  try{document.post.title.focus();}catch(e){}
  </script>
--- 601,607 ----
  	wp_comment_reply();
  ?>
  
! <?php if ( post_type_supports( $post_type, 'title' ) && '' === $post->post_title ) : ?>
  <script type="text/javascript">
  try{document.post.title.focus();}catch(e){}
  </script>
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/edit-form-comment.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/edit-form-comment.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/edit-form-comment.php	2013-04-22 15:17:25.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/edit-form-comment.php	2013-09-10 09:41:11.000000000 -0500
***************
*** 85,97 ****
  
  <div id="misc-publishing-actions">
  
! <div class="misc-pub-section" id="comment-status-radio">
  <label class="approved"><input type="radio"<?php checked( $comment->comment_approved, '1' ); ?> name="comment_status" value="1" /><?php /* translators: comment type radio button */ _ex('Approved', 'adjective') ?></label><br />
  <label class="waiting"><input type="radio"<?php checked( $comment->comment_approved, '0' ); ?> name="comment_status" value="0" /><?php /* translators: comment type radio button */ _ex('Pending', 'adjective') ?></label><br />
  <label class="spam"><input type="radio"<?php checked( $comment->comment_approved, 'spam' ); ?> name="comment_status" value="spam" /><?php /* translators: comment type radio button */ _ex('Spam', 'adjective'); ?></label>
  </div>
  
! <div class="misc-pub-section curtime">
  <?php
  // translators: Publish box date format, see http://php.net/date
  $datef = __( 'M j, Y @ G:i' );
--- 85,103 ----
  
  <div id="misc-publishing-actions">
  
! <div class="misc-pub-section misc-pub-comment-status" id="comment-status-radio">
  <label class="approved"><input type="radio"<?php checked( $comment->comment_approved, '1' ); ?> name="comment_status" value="1" /><?php /* translators: comment type radio button */ _ex('Approved', 'adjective') ?></label><br />
  <label class="waiting"><input type="radio"<?php checked( $comment->comment_approved, '0' ); ?> name="comment_status" value="0" /><?php /* translators: comment type radio button */ _ex('Pending', 'adjective') ?></label><br />
  <label class="spam"><input type="radio"<?php checked( $comment->comment_approved, 'spam' ); ?> name="comment_status" value="spam" /><?php /* translators: comment type radio button */ _ex('Spam', 'adjective'); ?></label>
  </div>
  
! <?php if ( $ip = get_comment_author_IP() ) : ?>
! <div class="misc-pub-section misc-pub-comment-author-ip">
! 	<?php _e( 'IP address:' ); ?> <strong><a href="<?php echo esc_url( sprintf( 'http://whois.arin.net/rest/ip/%s', $ip ) ); ?>"><?php echo esc_html( $ip ); ?></a></strong>
! </div>
! <?php endif; ?>
! 
! <div class="misc-pub-section curtime misc-pub-curtime">
  <?php
  // translators: Publish box date format, see http://php.net/date
  $datef = __( 'M j, Y @ G:i' );
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/edit-link-form.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/edit-link-form.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/edit-link-form.php	2013-04-06 15:47:12.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/edit-link-form.php	2013-10-22 12:22:11.000000000 -0500
***************
*** 22,28 ****
  	$nonce_action = 'add-bookmark';
  }
  
! require_once('./includes/meta-boxes.php');
  
  add_meta_box('linksubmitdiv', __('Save'), 'link_submit_meta_box', null, 'side', 'core');
  add_meta_box('linkcategorydiv', __('Categories'), 'link_categories_meta_box', null, 'normal', 'core');
--- 22,28 ----
  	$nonce_action = 'add-bookmark';
  }
  
! require_once( ABSPATH . 'wp-admin/includes/meta-boxes.php' );
  
  add_meta_box('linksubmitdiv', __('Save'), 'link_submit_meta_box', null, 'side', 'core');
  add_meta_box('linkcategorydiv', __('Categories'), 'link_categories_meta_box', null, 'normal', 'core');
***************
*** 33,40 ****
--- 33,43 ----
  do_action('add_meta_boxes', 'link', $link);
  do_action('add_meta_boxes_link', $link);
  
+ /** This action is documented in wp-admin/edit-form-advanced.php */
  do_action('do_meta_boxes', 'link', 'normal', $link);
+ /** This action is documented in wp-admin/edit-form-advanced.php */
  do_action('do_meta_boxes', 'link', 'advanced', $link);
+ /** This action is documented in wp-admin/edit-form-advanced.php */
  do_action('do_meta_boxes', 'link', 'side', $link);
  
  add_screen_option('layout_columns', array('max' => 2, 'default' => 2) );
***************
*** 54,60 ****
  	'<p>' . __( '<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>' ) . '</p>'
  );
  
! require_once ('admin-header.php');
  ?>
  
  <div class="wrap">
--- 57,63 ----
  	'<p>' . __( '<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>' ) . '</p>'
  );
  
! require_once( ABSPATH . 'wp-admin/admin-header.php' );
  ?>
  
  <div class="wrap">
***************
*** 82,88 ****
  <div id="namediv" class="stuffbox">
  <h3><label for="link_name"><?php _ex('Name', 'link name') ?></label></h3>
  <div class="inside">
! 	<input type="text" name="link_name" size="30" value="<?php echo esc_attr($link->link_name); ?>" id="link_name" />
      <p><?php _e('Example: Nifty blogging software'); ?></p>
  </div>
  </div>
--- 85,91 ----
  <div id="namediv" class="stuffbox">
  <h3><label for="link_name"><?php _ex('Name', 'link name') ?></label></h3>
  <div class="inside">
! 	<input type="text" name="link_name" size="30" maxlength="255" value="<?php echo esc_attr($link->link_name); ?>" id="link_name" />
      <p><?php _e('Example: Nifty blogging software'); ?></p>
  </div>
  </div>
***************
*** 90,96 ****
  <div id="addressdiv" class="stuffbox">
  <h3><label for="link_url"><?php _e('Web Address') ?></label></h3>
  <div class="inside">
! 	<input type="text" name="link_url" size="30" class="code" value="<?php echo esc_attr($link->link_url); ?>" id="link_url" />
      <p><?php _e('Example: <code>http://wordpress.org/</code> &#8212; don&#8217;t forget the <code>http://</code>'); ?></p>
  </div>
  </div>
--- 93,99 ----
  <div id="addressdiv" class="stuffbox">
  <h3><label for="link_url"><?php _e('Web Address') ?></label></h3>
  <div class="inside">
! 	<input type="text" name="link_url" size="30" maxlength="255" class="code" value="<?php echo esc_attr($link->link_url); ?>" id="link_url" />
      <p><?php _e('Example: <code>http://wordpress.org/</code> &#8212; don&#8217;t forget the <code>http://</code>'); ?></p>
  </div>
  </div>
***************
*** 98,104 ****
  <div id="descriptiondiv" class="stuffbox">
  <h3><label for="link_description"><?php _e('Description') ?></label></h3>
  <div class="inside">
! 	<input type="text" name="link_description" size="30" value="<?php echo isset($link->link_description) ? esc_attr($link->link_description) : ''; ?>" id="link_description" />
      <p><?php _e('This will be shown when someone hovers over the link in the blogroll, or optionally below the link.'); ?></p>
  </div>
  </div>
--- 101,107 ----
  <div id="descriptiondiv" class="stuffbox">
  <h3><label for="link_description"><?php _e('Description') ?></label></h3>
  <div class="inside">
! 	<input type="text" name="link_description" size="30" maxlength="255" value="<?php echo isset($link->link_description) ? esc_attr($link->link_description) : ''; ?>" id="link_description" />
      <p><?php _e('This will be shown when someone hovers over the link in the blogroll, or optionally below the link.'); ?></p>
  </div>
  </div>
